<xsd:schema xmlns:xsd="http://www.w3.org/2001/XMLSchema"
 elementFormDefault="qualified">

<xsd:include schemaLocation="obj_conference.xsd"/>
<xsd:include schemaLocation="common_trans.xsd"/>

	<xsd:element name="UPDATE_PARTY"/>
	<xsd:element name="SET_PARTY_VIDEO_LAYOUT"/>
	<xsd:element name="SET_LECTURE_MODE"/>
	<xsd:element name="SET_VIDEO_LAYOUT"/>
	<xsd:element name="SET_LOCK"/>
	<xsd:element name="SET_END_TIME"/>
	<xsd:element name="SET_AUDIO_VIDEO_MUTE"/>
	<xsd:element name="SET_CONNECT"/>
	<xsd:element name="TERMINATE_CONF"/>
	<xsd:element name="SET_AUDIO_VOLUME"/>
	<xsd:element name="DELETE_PARTY"/>
	<xsd:element name="SET_AUDIO_BLOCK"/>
	<xsd:element name="REFRESH_VIDEO"/>
	<xsd:element name="WITHDRAW_CHAIR_TOKEN"/>
	<xsd:element name="WITHDRAW_TOKEN"/>
	<xsd:element name="SET_DOWNSPEED"/>
	<xsd:element name="MOVE_PARTY"/>
	<xsd:element name="JOIN_CONFERENCE"/>
	<xsd:element name="CANCEL_JOIN_CONFERENCE"/>
	<xsd:element name="SET_EXCLUSIVE_SPEAKER"/>
	<xsd:element name="REMOVE_EXCLUSIVE_SPEAKER"/>
	<xsd:element name="SET_MUTE_INCOMING_PARTIES"/>
	<xsd:element name="SET_CONF_ON_HOLD"/>
	<xsd:element name="SET_PARTY_VISUAL_NAME"/>
	<xsd:element name="SET_VOTE"/>
	<xsd:element name="NEW_VOTE"/>
	<xsd:element name="STOP_VOTE"/>
	<xsd:element name="CANCEL_VOTE"/>
	<xsd:element name="START_VOTE"/>
	<xsd:element name="SET_OPERATOR_GUIDANCE"/>
	<xsd:element name="SET_ENTRY_PASSWORD"/>
	<xsd:element name="SET_PASSWORD"/>
	<xsd:element name="SET_ROLL_CALL"/>
	<xsd:element name="SET_REMARK"/>
	<xsd:element name="REMOVE_PARTY_QA"/>
	<xsd:element name="ADD_PARTY_QA"/>
	<xsd:element name="NEXT_QUESTIONER"/>
	<xsd:element name="CLEAR_QA"/>
	<xsd:element name="SET_VISUAL_EFFECT"/>
	<xsd:element name="SET_PARTY_LAYOUT_TYPE"/>
	<xsd:element name="SET_PARTY_VIDEO_LAYOUT_EX"/>
	<xsd:element name="WITHDRAW_CONTENT_TOKEN"/>
	<xsd:element name="SET_LISTEN_AUDIO_VOLUME"/>
	<xsd:element name="SET_VIP"/>
	<xsd:element name="SET_AUTO_LAYOUT"/>
	<xsd:element name="ATTEND_PARTY"/>
	<xsd:element name="ONHOLD_PARTY"/>
	<xsd:element name="BACK_TO_CONF_PARTY"/>
	<xsd:element name="INCREASE_PARTY_QA"/>
	<xsd:element name="DECREASE_PARTY_QA"/>
	<xsd:element name="MOVE_PARTY_TOP_QA"/>
	<xsd:element name="MOVE_PARTY_BOTTOM_QA"/>
	<xsd:element name="SET_CONF_CONTACT_INFO"/>
	<xsd:element name="SET_PARTY_CONTACT_INFO"/>
	<xsd:element name="SET_BILLING_DATA"/>
	<xsd:element name="SET_AGC"/>
	<xsd:element name="SET_LEADER"/>
	<xsd:element name="SET_DTMF"/>
	<xsd:element name="SET_SILENCE_IT"/>
	<xsd:element name="START_RECORDING"/>
	<xsd:element name="STOP_RECORDING"/>
	<xsd:element name="PAUSE_RECORDING"/>
	<xsd:element name="RESUME_RECORDING"/>
	<xsd:element name="START_MEDIA_RECORDING"/>
	<xsd:element name="SET_VIDEO_CLARITY"/>
	<xsd:element name="START_PREVIEW"/>
	<xsd:element name="STOP_PREVIEW"/>
	<xsd:element name="REQUEST_INTRA"/>
	<xsd:element name="SET_AUTO_SCAN_INTERVAL"/>
	<xsd:element name="SET_AUTO_SCAN_ORDER"/>
	<xsd:element name="SET_AUTO_REDIAL"/>
	<xsd:element name="SET_MESSAGE_OVERLAY"/>
	<xsd:element name="SET_EXCLUSIVE_CONTENT"/>
	<xsd:element name="REMOVE_EXCLUSIVE_CONTENT"/>



	<xsd:element name="RESPONSE_TRANS_CONF">
		<xsd:complexType>
			<xsd:sequence>
				<xsd:element ref="RETURN_STATUS"/>
				<xsd:choice>
					<xsd:group ref="ACTIONS"/>
					<xsd:element ref="ACTION"/>
				</xsd:choice>
			</xsd:sequence>
		</xsd:complexType>
    </xsd:element>

	<xsd:element name="GET">
		<xsd:complexType>
			<xsd:sequence>
				<xsd:element ref="CONFERENCE" minOccurs="0"/>
		    </xsd:sequence>
		</xsd:complexType>
    </xsd:element>

	<xsd:element name="ADD_PARTY">
		<xsd:complexType>
			<xsd:sequence>
				<xsd:element ref="ID"/>
				<xsd:any processContents="skip" minOccurs="0" maxOccurs="unbounded" namespace="##other"/>
			</xsd:sequence>
		</xsd:complexType>
	</xsd:element>

  <xsd:element name="GET_PARTY_PORTS_INFO">
    <xsd:complexType>
      <xsd:sequence>
        <xsd:element ref="PARTY_PORTS_INFO"/>
        <xsd:any processContents="skip" minOccurs="0" maxOccurs="unbounded" namespace="##other"/>
      </xsd:sequence>
    </xsd:complexType>
  </xsd:element>
  
	<xsd:group name="ACTIONS">
		<xsd:choice>
			<xsd:element ref="GET"/>
			<xsd:element ref="ADD_PARTY"/>
			<xsd:element ref="UPDATE_PARTY"/>
			<xsd:element ref="SET_PARTY_VIDEO_LAYOUT"/>							<!--not supported-->
			<xsd:element ref="SET_LECTURE_MODE"/>
			<xsd:element ref="SET_VIDEO_LAYOUT"/>
			<xsd:element ref="SET_LOCK"/>										<!--not supported-->
			<xsd:element ref="SET_END_TIME"/>
			<xsd:element ref="SET_AUDIO_VIDEO_MUTE"/>
			<xsd:element ref="SET_CONNECT"/>
			<xsd:element ref="TERMINATE_CONF"/>
			<xsd:element ref="SET_AUDIO_VOLUME"/>
			<xsd:element ref="DELETE_PARTY"/>
			<xsd:element ref="SET_AUDIO_BLOCK"/>
			<xsd:element ref="REFRESH_VIDEO"/>									<!--not supported-->
			<xsd:element ref="WITHDRAW_CHAIR_TOKEN"/>							<!--not supported-->
			<xsd:element ref="WITHDRAW_TOKEN"/>									<!--not supported-->
			<xsd:element ref="SET_DOWNSPEED"/>									<!--not supported-->
			<xsd:element ref="MOVE_PARTY"/>										<!--not supported-->
			<xsd:element ref="JOIN_CONFERENCE"/>								<!--not supported-->
			<xsd:element ref="CANCEL_JOIN_CONFERENCE"/>							<!--not supported-->
			<xsd:element ref="SET_EXCLUSIVE_SPEAKER"/>							<!--not supported-->
			<xsd:element ref="REMOVE_EXCLUSIVE_SPEAKER"/>						<!--not supported-->
			<xsd:element ref="SET_MUTE_INCOMING_PARTIES"/>						<!--not supported-->
			<xsd:element ref="SET_CONF_ON_HOLD"/>								<!--not supported-->
			<xsd:element ref="SET_PARTY_VISUAL_NAME"/>
			<xsd:element ref="SET_VOTE"/>										<!--not supported-->
			<xsd:element ref="NEW_VOTE"/>										<!--not supported-->
			<xsd:element ref="STOP_VOTE"/>										<!--not supported-->
			<xsd:element ref="CANCEL_VOTE"/>									<!--not supported-->
			<xsd:element ref="START_VOTE"/>										<!--not supported-->
			<xsd:element ref="SET_OPERATOR_GUIDANCE"/>							<!--not supported-->
			<xsd:element ref="SET_ENTRY_PASSWORD"/>
			<xsd:element ref="SET_PASSWORD"/>
			<xsd:element ref="SET_ROLL_CALL"/>									<!--not supported-->
			<xsd:element ref="SET_REMARK"/>										<!--not supported-->
			<xsd:element ref="ADD_PARTY_QA"/>									<!--not supported-->
			<xsd:element ref="REMOVE_PARTY_QA"/>								<!--not supported-->
			<xsd:element ref="NEXT_QUESTIONER"/>								<!--not supported-->
			<xsd:element ref="CLEAR_QA"/>										<!--not supported-->
			<xsd:element ref="SET_VISUAL_EFFECT"/>
			<xsd:element ref="SET_PARTY_LAYOUT_TYPE"/>
			<xsd:element ref="SET_PARTY_VIDEO_LAYOUT_EX"/>
			<xsd:element ref="WITHDRAW_CONTENT_TOKEN"/>
			<xsd:element ref="SET_LISTEN_AUDIO_VOLUME"/>
			<xsd:element ref="SET_VIP"/>										<!--not supported-->
			<xsd:element ref="SET_AUTO_LAYOUT"/>
			<xsd:element ref="ATTEND_PARTY"/>									<!--not supported-->
			<xsd:element ref="ONHOLD_PARTY"/>									<!--not supported-->
			<xsd:element ref="BACK_TO_CONF_PARTY"/>								<!--not supported-->
			<xsd:element ref="INCREASE_PARTY_QA"/>								<!--not supported-->
			<xsd:element ref="DECREASE_PARTY_QA"/>								<!--not supported-->
			<xsd:element ref="MOVE_PARTY_TOP_QA"/>								<!--not supported-->
			<xsd:element ref="MOVE_PARTY_BOTTOM_QA"/>							<!--not supported-->
			<xsd:element ref="SET_CONF_CONTACT_INFO"/>
			<xsd:element ref="SET_PARTY_CONTACT_INFO"/>
			<xsd:element ref="SET_BILLING_DATA"/>
			<xsd:element ref="SET_AGC"/>
			<xsd:element ref="SET_LEADER"/>
			<xsd:element ref="SET_DTMF"/>
			<xsd:element ref="SET_SILENCE_IT"/>									<!--not supported-->
			<xsd:element ref="START_RECORDING"/>								<!--supported from version 2.0.2-->
			<xsd:element ref="STOP_RECORDING"/>									<!--supported from version 2.0.2-->
			<xsd:element ref="PAUSE_RECORDING"/>								<!--supported from version 2.0.2-->
			<xsd:element ref="RESUME_RECORDING"/>								<!--supported from version 2.0.2-->
      <xsd:element ref="START_MEDIA_RECORDING"/>
      <xsd:element ref="GET_PARTY_PORTS_INFO"/>
			<xsd:element ref="SET_VIDEO_CLARITY"/>
			<xsd:element ref="START_PREVIEW"/>
			<xsd:element ref="STOP_PREVIEW"/>
			<xsd:element ref="REQUEST_INTRA"/>
			<xsd:element ref="SET_AUTO_SCAN_INTERVAL"/>
			<xsd:element ref="SET_AUTO_SCAN_ORDER"/>
			<xsd:element ref="SET_AUTO_REDIAL"/>
			<xsd:element ref="SET_MESSAGE_OVERLAY"/>
			<xsd:element ref="SET_EXCLUSIVE_CONTENT"/>
			<xsd:element ref="REMOVE_EXCLUSIVE_CONTENT"/>			
		</xsd:choice>
	</xsd:group>

	<xsd:element name="ACTION">
		<xsd:complexType> 
			<xsd:sequence>
				<xsd:group ref="ACTIONS"/>
			</xsd:sequence>
		</xsd:complexType> 
	</xsd:element>
	
</xsd:schema>